Spotted something off?Report on Discord
api reference
request.[others]
Send PUT, DELETE, PATCH, or PUBLISH HTTP requests through a real browser session using the same structure as request.post.
Updated May 28, 2025
These commands let you send PUT, DELETE, PATCH, and PUBLISH HTTP requests through a real browser session, sharing the same structure as request.post.
Parameters
These commands share the exact same structure and options as request.post, including:
- All shared parameters from
request.get - Support for
postData(required) - Support for
customHeaders, including setting the appropriateContent-Type
| Parameter | Type | Required | Description |
|---|---|---|---|
postData |
string | Yes | The request body to send. Use string format (application/x-www-form-urlencoded) or set the content type to application/json via customHeaders. |
Example
request.put
bash7 lines
Want to run this request directly in your browser?to try it live with your own API key.
request.delete
bash6 lines
Want to run this request directly in your browser?to try it live with your own API key.
request.patch (JSON body)
bash8 lines
Want to run this request directly in your browser?to try it live with your own API key.
Notes
For all other options, refer to:
request.getfor general parametersrequest.postfor body-related behavior